Support » Plugin: PHP Everywhere » PHP error

  • Resolved psn

    (@psn)


    Hi,

    When we debug our site we notice this error in log:

    PHP Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; phpeverywherewidget has a deprecated constructor in /wp-content/plugins/php-everywhere/widget.php on line 2

    Perhaps you can fix this in next release. We run PHP 7.1 so not sure if this error is present in lower versions of PHP.

Viewing 7 replies - 1 through 7 (of 7 total)
  • psn

    (@psn)

    Any news/update on above error can be fixed soon?

    Plugin Author Alexander Fuchs

    (@alexander_fuchs)

    Hello psn, thanks for reporting the error. I didn’t try the plugin in PHP 7.1 yet. Seems to be caused by it. I will fix it soon.

    Kind regards,

    Alex

    psn

    (@psn)

    Great news, looking forward to next release

    psn

    (@psn)

    🙂 that was really a quick fix, great support you will have 5 stars from me asap!!

    Per

    englishized

    (@englishized)

    Hi there Alexander,
    Just recently, about 5 hours ago, the plugin stopped working on my site.
    I am using Elementor and I am in love with you plugin.
    The problem is:
    When I click on the widget inserted, it starts loading on the left side of Elementor but never stop loading; it doesn’t load the edit screen.

    psn

    (@psn)

    Hi

    Tested @englishized issue on our site but we cant replicate this as our widget is working fine and we can add in the same into any of ours widget-area. Perhaps this should be open in a separate ticket as this ticket is closed as solved.

    Per

    Plugin Author Alexander Fuchs

    (@alexander_fuchs)

    @englishized: Hi, can you open a new thread and tell me the PHP version you are using?

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘PHP error’ is closed to new replies.